## terminado 0.8.2

=== doc/requirements.txt ===
ptyprocess
tornado

## terminado 0.5

=== debian/changelog ===
terminado (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #787201)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 31 May 2015 17:57:44 +0200

=== debian/control ===
Source: terminado
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/takluyver/terminado
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-ptyprocess,
               python-tornado,
               python3,
               python3-ptyprocess,
               python3-tornado
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/python-modules/packages/terminado.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/terminado.git

Package: python-terminado
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Terminals served to term.js using Tornado websockets (Python 2)
 This is a tornado websocket backend for the term.js Javascript
 terminal emulator library.
 .
 This package installs the library for Python 2.

Package: python3-terminado
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Terminals served to term.js using Tornado websockets (Python 3)
 This is a tornado websocket backend for the term.js Javascript
 terminal emulator library.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/terminado/terminado-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## terminado 0.6

=== debian/changelog ===
terminado (0.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Mar 2017 09:25:19 +0100

terminado (0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Puydt ]
  * New upstream release.
  * Push standards-version up.
  * Don't look for signature in d/watch (not available anymore).

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 21 May 2016 10:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/takluyver/terminado
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -15,8 +15,8 @@
                python3-tornado
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/terminado.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/terminado.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/terminado.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/terminado.git
 
 Package: python-terminado
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=terminado/tests
export PYBUILD_NAME=terminado

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/terminado/terminado-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## terminado 0.7

=== debian/changelog ===
terminado (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging:
    - dates in d/copyright
    - use https in d/copyright's format 
    - bump d/watch to version 4 
    - bump dh compat to 10
    - bump standards-version to 4.1.1
    - stop using pypi.debian.net in d/watch : use upstream's github 
    - remove d/upstream as tarballs on github aren't signed
    - add an autopkgtest suite 
  * Ship the documentation.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 20 Nov 2017 23:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/takluyver/terminado
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-ptyprocess,
                python-tornado,
                python3,
                python3-ptyprocess,
+               python3-sphinx <!nodoc>,
                python3-tornado
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -21,6 +22,7 @@
 Package: python-terminado
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-terminado-doc
 Description: Terminals served to term.js using Tornado websockets (Python 2)
  This is a tornado websocket backend for the term.js Javascript
  terminal emulator library.
@@ -30,8 +32,21 @@
 Package: python3-terminado
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Suggest: python-terminado-doc
 Description: Terminals served to term.js using Tornado websockets (Python 3)
  This is a tornado websocket backend for the term.js Javascript
  terminal emulator library.
  .
  This package installs the library for Python 3.
+
+Package: python-terminado-doc
+Architecture: all
+Build-Profiles: <!nodoc>
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
+Section: doc
+Description: Terminals served to term.js using Tornado websockets (documentation)
+ This is a tornado websocket backend for the term.js Javascript
+ terminal emulator library.
+ .
+ This package installs the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=terminado/tests
export PYBUILD_NAME=terminado

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc debian/python-terminado-doc/usr/share/doc/python-terminado-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: runtestsuite2
Depends: python-terminado, python-nose, python-ptyprocess, python-tornado

Tests: runtestsuite3
Depends: python3-terminado, python3-nose, python3-ptyprocess, python3-tornado

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/terminado-$1.tar.gz/ \
https://github.com/takluyver/terminado/tags .*/archive/([\d\.]+).tar.gz

## terminado 0.8.1

=== debian/changelog ===
terminado (0.8.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Julien Puydt ]
  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump std-ver to 4.2.1. 
  * Made autopkgtest more verbose (Closes: #901781).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 04 Nov 2018 11:38:44 +0100

terminado (0.8.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Julien Puydt ]
  * Bump std-ver to 4.1.4.
  * Added missing depends (Closes: #896308, #896424).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 23 Apr 2018 07:34:35 +0200

terminado (0.8.1-2) unstable; urgency=medium

  * Rewrite d/rules (Closes: #892576).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 11 Mar 2018 19:57:10 +0100

terminado (0.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.1.3.
  * Bump dh compat to 11.
  * Mark -doc as Multi-Arch: foreign following hinter.
  * Move everything under the Jupyter team umbrella.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 04 Mar 2018 17:14:14 +0100

=== debian/control ===
Source: terminado
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.2.1
Homepage: https://github.com/jupyter/terminado
Build-Depends: debhelper (>= 11),
               dh-python,
               python,
               python-ptyprocess,
               python-tornado,
               python3,
               python3-ptyprocess,
               python3-sphinx <!nodoc>,
               python3-tornado
Vcs-Git: https://salsa.debian.org/python-team/modules/terminado.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/terminado

Package: python-terminado
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-ptyprocess, python-tornado
Suggests: python-terminado-doc
Description: Terminals served to term.js using Tornado websockets (Python 2)
 This is a tornado websocket backend for the term.js Javascript
 terminal emulator library.
 .
 This package installs the library for Python 2.

Package: python3-terminado
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-ptyprocess, python3-tornado
Suggest: python-terminado-doc
Description: Terminals served to term.js using Tornado websockets (Python 3)
 This is a tornado websocket backend for the term.js Javascript
 terminal emulator library.
 .
 This package installs the library for Python 3.

Package: python-terminado-doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Description: Terminals served to term.js using Tornado websockets (documentation)
 This is a tornado websocket backend for the term.js Javascript
 terminal emulator library.
 .
 This package installs the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=terminado/tests
export PYBUILD_NAME=terminado
export PYBUILD_SYSTEM=custom
export PYBUILD_DISABLE=configure build clean
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}/usr/lib/python{version}/dist-packages/ && \
  cp -R $(PYBUILD_NAME) {destdir}/usr/lib/python{version}/dist-packages/ && \
  sed -e 's/VERSION/$(DEB_VERSION_UPSTREAM)/g' debian/$(PYBUILD_NAME).egg-info > \
    {destdir}/usr/lib/python{version}/dist-packages/$(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM).egg-info

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc debian/python-terminado-doc/usr/share/doc/python-terminado-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: runtestsuite2
Depends: python-terminado, python-nose

Tests: runtestsuite3
Depends: python3-terminado, python3-nose

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/terminado-$1.tar.gz/ \
https://github.com/jupyter/terminado/tags .*/archive/([\d\.]+).tar.gz

## terminado 0.8.2

=== debian/changelog ===
terminado (0.8.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938648

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2019 17:04:00 -0400

terminado (0.8.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 30 Jul 2019 18:42:35 +0200

terminado (0.8.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.3.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Apr 2019 18:46:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,16 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/jupyter/terminado
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python,
-               python-ptyprocess,
-               python-tornado,
                python3,
                python3-ptyprocess,
                python3-sphinx <!nodoc>,
                python3-tornado
 Vcs-Git: https://salsa.debian.org/python-team/modules/terminado.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/terminado
-
-Package: python-terminado
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-ptyprocess, python-tornado
-Suggests: python-terminado-doc
-Description: Terminals served to term.js using Tornado websockets (Python 2)
- This is a tornado websocket backend for the term.js Javascript
- terminal emulator library.
- .
- This package installs the library for Python 2.
 
 Package: python3-terminado
 Architecture: all

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-terminado, python3-nose

## terminado 0.9.1

=== debian/changelog ===
terminado (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Move to the new team names.
  * Bump dh compat to 13.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 21 Sep 2020 14:22:50 +0200

terminado (0.8.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Gordon Ball ]
  * Update d/watch to accept vX.Y.Z tags
  * New upstream version 0.8.3
  * Standards-Version: 4.5.0
  * Declare Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Tue, 11 Aug 2020 13:00:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: terminado
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/terminado
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-ptyprocess,
                python3-sphinx <!nodoc>,
                python3-tornado
-Vcs-Git: https://salsa.debian.org/python-team/modules/terminado.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/terminado
+Vcs-Git: https://salsa.debian.org/python-team/packages/terminado.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages//terminado
+Rules-Requires-Root: no
 
 Package: python3-terminado
 Architecture: all

## terminado 0.9.2

=== debian/changelog ===
terminado (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Jan 2021 09:48:17 +0100

terminado (0.9.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Bump std-vers to 4.5.1.
  * Fix typo Suggest -> Suggests in d/control.
  * Add a trivial patch. (Closes: #975241)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 21 Nov 2020 09:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -12,13 +12,13 @@
                python3-sphinx <!nodoc>,
                python3-tornado
 Vcs-Git: https://salsa.debian.org/python-team/packages/terminado.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages//terminado
+Vcs-Browser: https://salsa.debian.org/python-team/packages/terminado
 Rules-Requires-Root: no
 
 Package: python3-terminado
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-ptyprocess, python3-tornado
-Suggest: python-terminado-doc
+Suggests: python-terminado-doc
 Description: Terminals served to term.js using Tornado websockets (Python 3)
  This is a tornado websocket backend for the term.js Javascript
  terminal emulator library.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
     {destdir}/usr/lib/python{version}/dist-packages/$(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM).egg-info
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/terminado-$1.tar.gz/ \
https://github.com/jupyter/terminado/tags .*/archive/v?([\d\.]+).tar.gz

## terminado 0.12.1

=== debian/changelog ===
terminado (0.12.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 18 Sep 2021 10:25:49 +0200

terminado (0.11.1-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.
  * New upstream release.
  * Refresh the patch.
  * Simplify packaging a bit.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 22:38:25 +0200

## terminado 0.13.1

=== debian/changelog ===
terminado (0.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 15 Feb 2022 13:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-ptyprocess,
+               python3-pytest <!nocheck>,
+               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-tornado
 Vcs-Git: https://salsa.debian.org/python-team/packages/terminado.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export PYBUILD_NAME=terminado

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc debian/python-terminado-doc/usr/share/doc/python-terminado-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-terminado, python3-nose, python3-pytest

## terminado 0.13.3

=== debian/changelog ===
terminado (0.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Mar 2022 23:52:28 +0100

## terminado 0.15.0

=== debian/changelog ===
terminado (0.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 May 2022 22:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3,
+               python3-hatchling,
                python3-ptyprocess,
                python3-pytest <!nocheck>,
                python3-setuptools,

## terminado 0.16.0

=== debian/changelog ===
terminado (0.16.0-1) unstable; urgency=medium

  * New upstram release.
  * Refresh the patch.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 22:44:56 +0200

terminado (0.15.0-2) unstable; urgency=medium

  * Drop dependency on nose.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Aug 2022 15:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-terminado, python3-pytest

## terminado 0.17.0

=== demos/requirements.txt ===
terminado
tornado
tornado-xstatic
XStatic
XStatic-term.js

=== debian/changelog ===
terminado (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 29 Oct 2022 08:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3,
                python3-hatchling,
                python3-ptyprocess,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
@@ -21,7 +22,10 @@
 
 Package: python3-terminado
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-ptyprocess, python3-tornado
+Depends: python3-ptyprocess,
+         python3-tornado,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-terminado-doc
 Description: Terminals served to term.js using Tornado websockets (Python 3)
  This is a tornado websocket backend for the term.js Javascript

## terminado 0.17.1

=== debian/changelog ===
terminado (0.17.1-1) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * New upstream release.
  * Drop now useless patch.
  * Adapt to new upstream deps.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 21 Jun 2023 13:07:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3,
                python3-hatchling,
+               python3-myst-parser,
                python3-ptyprocess,
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-pytest, python3-terminado

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/terminado-$1.tar.gz/ \
https://github.com/jupyter/terminado/tags .*/v?([\d\.]+).tar.gz

## terminado 0.18.0

=== debian/changelog ===
terminado (0.18.0-1ubuntu1) oracular; urgency=medium

  * Update tests for pytest 8.2 compatibility (LP: #2068055).
    - d/t/control: insert previously undeclared dependency on
      python3-pytest-timeout
    - d/p/unclosed-websockets.patch: apply test fixes from upstream

 -- Chris Peterson <chris.peterson@canonical.com>  Tue, 04 Jun 2024 15:42:02 -0700

terminado (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix clean target (Closes: #1046492).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Dec 2023 08:24:38 +0100

nmerminado (0.15.0-2) unstable; urgency=medium

  * Drop dependency on nose.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Aug 2022 15:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: terminado
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
@@ -13,7 +14,7 @@
                python3-myst-parser,
                python3-ptyprocess,
                python3-pydata-sphinx-theme <!nodoc>,
-               python3-pytest <!nocheck>,
+               python3-pytest <!nocheck>, python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-tornado

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-pytest, python3-terminado, python3-pytest-timeout

## terminado 0.18.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Terminado.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Terminado.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Terminado"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Terminado"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
terminado (0.18.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1064694).
  * Fix autopkgtest thanks to Chris Peterson (Closes: #1072610).
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 09 Jun 2024 10:48:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: terminado
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jupyter/terminado
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 	PYTHONPATH=. python3 -m sphinx -b html doc debian/python-terminado-doc/usr/share/doc/python-terminado-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f doc/changelog.md

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-pytest, python3-pytest-timeout, python3-terminado
